CardTransactionCleared

The Clearing webhook is triggered when a transaction clearing (e.g., settlement) is received from the payment processor. Unlike the Authorization webhook, the Clearing webhook is informational and does not require a business decision response.

Sample Request Payload

{
  "event": "CardTransactionCleared",
  "userId": "fe2df68d-94fe-4d59-8660-024363c28c12",
  "clearings": [
    {
      "clearingId": "b8680001-005c-d9c5-9609-08de9a269c72",
      "cardId": "1953784f-98fe-4088-827f-85d52de7a918",
      "authorizationId": "b7680001-005c-d9c5-88c8-08de9a2699cf",
      "cardPaymentEvent": "Settlement",
      "debitOrCredit": "Debit",
      "transactionAmount": 655.18,
      "transactionCurrencyCode": "GBP",
      "accountAmount": 655.18,
      "accountCurrencyCode": "GBP",
      "createdAt": "2026-04-14T13:06:18.053Z",
      "merchantCategoryCode": "5651",
      "merchantId": "SHP000000000057",
      "merchantName": "aliexpress.com"
    },
    {
      "clearingId": "bb680001-005c-d9c5-4e36-08de9a26a57d",
      "cardId": "776731ac-063b-4bd0-8000-bb04d7dfb5d4",
      "authorizationId": "ba680001-005c-d9c5-ae57-08de9a269e59",
      "cardPaymentEvent": "Settlement",
      "debitOrCredit": "Debit",
      "transactionAmount": 557.29,
      "transactionCurrencyCode": "GBP",
      "accountAmount": 557.29,
      "accountCurrencyCode": "GBP",
      "createdAt": "2026-04-14T13:06:33.053Z",
      "merchantCategoryCode": "5651",
      "merchantId": "SHP000000000057",
      "merchantName": "aliexpress.com"
    }
  ]
}

Expected Response

For Clearing webhooks:

  • The response body is not analyzed.
  • Only the HTTP status code is evaluated.

Important Notes

  • Clearing events are triggered only after they are received from the payment processor.
  • Authorization alone does not generate a clearing event.
  • Multiple clearing records may be included in a single webhook call.